import fetch from '@/api/fetch.js'
export default {
  /**
   * 获取关键字列表
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getTagsList(params) {
    return fetch('/blade-pc-applet/tags/tagsList', params)
  },
  /**
   * 知库文章专债统计
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getBigCount(params) {
    return fetch('/blade-pc-applet/wechat/count/getBigCount', params)
  },
  /**
   * 梧桐树项目云统计
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getProjectCount(params) {
    return fetch('/wutong-okr/project/big-data-count', params)
  },
  /**
   * 知库专债列表
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getDebtList(params) {
    return fetch('/blade-pc-applet/debt/bigPage', params)
  },
  /**
   * 获取用户登录次数统计（基于微信登录次数累加存redis）
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getUserLoginCount(params) {
    return fetch('/wutong-base/wxuser/getUserLoginCount', params)
  },
  /**
   * 获取云南省地州用户统计
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getUserCountByCity(params) {
    return fetch(
      '/blade-pc-applet/userarea/getUserCountByCity',
      params,
      'post',
      'json'
    )
    // return fetch('/wutong-base/wxuser/getUserCountByCity', params)
  },
  /**
   * 获取最近7月类用户增加数量
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getAddUserCountByMonth(params) {
    return fetch('/wutong-base/wxuser/getAddUserCountByMonth', params)
  },
  /**
   * 获取用户统计
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getUserCountByTenant(params) {
    return fetch('/wutong-base/wxuser/getUserCountByTenant', params)
  },
  /**
   * 获取汇编列表按阅读次数倒序
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  bigList(params) {
    return fetch('/blade-pc-applet/informationinfo/bigList', params)
  },
  /**
   * 获取汇编列表按阅读次数倒序
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  libraryList(params) {
    return fetch('/wutong-library/library/page', params)
  },
  /**
   * 获取公众号文章阅读排行
   * @param params
   * @returns {Promise | Promise<unknown>}
   */
  getPublicArticlePag(params) {
    return fetch('/wutong-base/publicarticle/bigPag', params)
  }
}
